<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">
    <modelVersion>4.0.0</modelVersion>
    <parent>
        <groupId>com.scytl.products.ov.channel</groupId>
        <artifactId>ov-channel</artifactId>
        <version>2.1.7</version>
    </parent>

    <groupId>com.scytl.products.ov.channel.ea</groupId>
    <artifactId>extended-authentication</artifactId>
    <packaging>pom</packaging>
    <name>Online Voting Extended Authentication</name>
    
    <properties>
        <org.apache.geronimo.specs.version>1.1</org.apache.geronimo.specs.version>
        <javax.ws.rs.version>2.0</javax.ws.rs.version>
        <org.glassfish.jersey.version>2.4.1</org.glassfish.jersey.version>
        <jbosscc-needle.version>2.1</jbosscc-needle.version>
        <easymock.version>3.4</easymock.version>
        <geronimo-osgi-locator.version>1.1</geronimo-osgi-locator.version>
        <hsqldb.version>2.3.2</hsqldb.version>
    </properties>

    <dependencyManagement>
        <dependencies>
            <dependency>
                <groupId>com.scytl.products.ov.channel.commons.lib</groupId>
                <artifactId>ov-commons-lib</artifactId>
                <version>${project.version}</version>
            </dependency>
            <dependency>
                <groupId>com.scytl.products.ov.channel.commons</groupId>
                <artifactId>ov-commons-logging</artifactId>
                <version>${project.version}</version>
            </dependency>
            <dependency>
                <groupId>com.scytl.products.ov.channel.commons.lib</groupId>
                <artifactId>ov-commons-lib-persistence</artifactId>
                <version>${project.version}</version>
            </dependency>
            <dependency>
                <groupId>com.scytl.products.ov.channel.commons.lib</groupId>
                <artifactId>ov-commons-lib-persistence</artifactId>
                <version>${project.version}</version>
                <type>test-jar</type>
                <scope>test</scope>
            </dependency>
            <dependency>
                <groupId>com.scytl.products.ov.channel.commons</groupId>
                <artifactId>ov-commons-sign</artifactId>
                <version>${project.version}</version>
            </dependency>
            <dependency>
                <groupId>com.scytl.products.ov.channel.commons</groupId>
                <artifactId>ov-commons-infrastructure</artifactId>
                <version>${project.version}</version>
            </dependency>
            <dependency>
                <groupId>com.scytl.products.ov.channel.commons</groupId>
                <artifactId>ov-commons-beans</artifactId>
                <version>${project.version}</version>
            </dependency>
            <dependency>
                <groupId>com.scytl.math</groupId>
                <artifactId>scytl-math</artifactId>
                <version>${scytl-math.version}</version>
            </dependency>
        
            <dependency>
                <groupId>org.bouncycastle</groupId>
                <artifactId>bcprov-jdk15on</artifactId>
                <version>${bouncycastle.version}</version>
            </dependency>
            <dependency>
                <groupId>org.bouncycastle</groupId>
                <artifactId>bcpkix-jdk15on</artifactId>
                <version>${bouncycastle.version}</version>
            </dependency>
            <dependency>
                <groupId>org.apache.geronimo.specs</groupId>
                <artifactId>geronimo-osgi-locator</artifactId>
                <version>${org.apache.geronimo.specs.version}</version>
                <scope>test</scope>
            </dependency>
            <dependency>
                <groupId>javax.ws.rs</groupId>
                <artifactId>javax.ws.rs-api</artifactId>
                <version>${javax.ws.rs.version}</version>
                <scope>test</scope>
            </dependency>
            <dependency>
                <groupId>org.glassfish.jersey.test-framework</groupId>
                <artifactId>jersey-test-framework-core</artifactId>
                <version>${jersey-test-framework-core.version}</version>
                <scope>test</scope>
            </dependency>

            <dependency>
                <groupId>org.glassfish.jersey.test-framework.providers</groupId>
                <artifactId>jersey-test-framework-provider-grizzly2</artifactId>
                <version>${jersey-test-framework-core.version}</version>
                <scope>test</scope>
            </dependency>
            <dependency>
                <groupId>org.glassfish.jersey.media</groupId>
                <artifactId>jersey-media-json-jackson</artifactId>
                <version>${jersey-test-framework-core.version}</version>
                <scope>test</scope>
            </dependency>
            <dependency>
                <groupId>de.akquinet.jbosscc</groupId>
                <artifactId>jbosscc-needle</artifactId>
                <version>${jbosscc-needle.version}</version>
                <scope>test</scope>
            </dependency>
            <dependency>
                <groupId>org.easymock</groupId>
                <artifactId>easymock</artifactId>
                <version>${easymock.version}</version>
                <scope>test</scope>
            </dependency>
            <dependency>
                <groupId>org.hsqldb</groupId>
                <artifactId>hsqldb</artifactId>
                <version>${hsqldb.version}</version>
                <scope>test</scope>
            </dependency>
        </dependencies>
    </dependencyManagement>
    <dependencies>
        <!-- JavaEE -->
        <dependency>
            <groupId>org.apache.openejb</groupId>
            <artifactId>javaee-api</artifactId>
            <scope>provided</scope>
        </dependency>


        <dependency>
            <groupId>com.scytl.products.ov.channel.commons</groupId>
            <artifactId>libs-config</artifactId>
            <version>${project.version}</version>
        </dependency>

        <!-- Logging -->
        <dependency>
            <groupId>org.slf4j</groupId>
            <artifactId>slf4j-api</artifactId>
        </dependency>
        <!-- Testing -->
        <dependency>
            <groupId>junit</groupId>
            <artifactId>junit</artifactId>
            <version>${junit.version}</version>
            <scope>test</scope>
        </dependency>
        <dependency>
            <groupId>org.mockito</groupId>
            <artifactId>mockito-core</artifactId>
            <version>${mockito.version}</version>
            <scope>test</scope>
        </dependency>

        <!-- jackson for json processing (this is used for annotations in DTOs) -->
        <dependency>
            <groupId>com.fasterxml.jackson.core</groupId>
            <artifactId>jackson-annotations</artifactId>
        </dependency>
        <dependency>
            <groupId>com.fasterxml.jackson.core</groupId>
            <artifactId>jackson-databind</artifactId>
        </dependency>
        <dependency>
            <groupId>com.fasterxml.jackson.jaxrs</groupId>
            <artifactId>jackson-jaxrs-json-provider</artifactId>
        </dependency>
    </dependencies>
    <modules>
        <module>extended-authentication-services</module>
        <module>ea-ws-rest</module>
        <module>assembly</module>
    </modules>
</project>
